import sqlite3 from 'sqlite3'
import { open } from 'sqlite'

let db;

const sql = `CREATE TABLE IF NOT EXISTS action (addr TEXT, action TEXT)`

async function initDb() {
    if (db) return db;

    db = await open({
        filename: `${process.cwd()}/main.db`,
        driver: sqlite3.Database
    });

    let sqlCmds = sql.split('\n');

    for (let cmd of sqlCmds) {
        await db.run(cmd);
    }

    return db;
}

export { initDb };